%define realname libgmail-docs

Name:           python-libgmail-docs
Version:        0.3
Release:        9%{?dist}
Summary:        Documents and examples for python-libgmail

Group:          Documentation
License:        GPLv2
URL:            http://%{projectname}.sourceforge.net
Source0:        http://dl.sf.net/sourceforge/%{projectname}/%{realname}_%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  python

%description
Documents and examples for python-libgmail.  

%prep
%setup -q -n %{realname}_%{version}

chmod -x *.py
# Fix a dos newline
sed -i 's/\r//g' readmail.py


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/API
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/examples
install -p -m644 *.py $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/examples
install -p -m644  README COPYING $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
cd API
install -p -m644 * $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/API

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%exclude %{_docdir}/%{name}-%{version}/examples/*.py[co]

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 2 2009 Nikolay Vladimirov <nikolay@vladimiroff.com> 0.3-7
- Completely restructure the package
- Now using package's own dir instead of python-libmail's
- Fixes BZ#474616

* Sun Jan 27 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-6
- Excluded *.pyc *.pyo in %%doc

* Sat Jan 19 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-5
- Fixed a BR and permissions on REAME/COPYING

* Sat Jan 12 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-4
- Fixed an Ownership issue

* Wed Jan 02 2008 Michael Stahnke <mastahnke@gmail.com> - 0.3-3
- Changed exclusion for *.pyc and *.pyo
- Fixed license 
- Changed package group to documentation
- Removed Requires on python-libgmail

* Wed Dec 12 2007 Michael Stahnke <mastahnke@gmail.com> - 0.3-2
- Adding a BR on python to suppress some warnings

* Tue Dec 11 2007 Michael Stahnke <mastahnke@gmail.com> - 0.3-1
- Initial Package
